%global pypi_name Flask-APScheduler
%global _description\
 Flask-APScheduler is a Flask extension which adds\
support for the APScheduler.\
Loads scheduler configuration from Flask configuration.\
Loads job definitions from Flask configuration.\
Allows to specify the hostname which the scheduler will run on.\
Provides a REST API to manage the scheduled jobs.\
Provides authentication for the REST API.\

Name:           python-flask-apscheduler
Version:        1.7.0
Release:        1%{?dist}
Summary:        Adds APScheduler support to Flask

License:        ASL 2.0
URL:            https://github.com/viniciuschiele/flask-apscheduler
Source0:        https://files.pythonhosted.org/packages/source/F/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# https://github.com/viniciuschiele/flask-apscheduler/issues/57
Source1:        https://raw.githubusercontent.com/viniciuschiele/flask-apscheduler/master/LICENSE
BuildArch:      noarch
 
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description %_description

%package -n     python2-flask-apscheduler
Summary:        %{summary}
%{?python_provide:%python_provide python2-flask-apscheduler}
 
Requires:       python2-flask 
Requires:       python2-APScheduler 
Requires:       python2-dateutil 
%description -n python2-flask-apscheduler %_description

%package -n     python3-flask-apscheduler
Summary:        %{summary}
%{?python_provide:%python_provide python3-flask-apscheduler}
 
Requires:       python3-flask
Requires:       python3-APScheduler
Requires:       python3-dateutil
%description -n python3-flask-apscheduler %_description

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-flask-apscheduler
%doc README.rst
%license LICENSE
%{python2_sitelib}/flask_apscheduler
%{python2_sitelib}/Flask_APScheduler-%{version}-py*egg-info

%files -n python3-flask-apscheduler
%doc README.rst
%license LICENSE
%{python3_sitelib}/flask_apscheduler
%{python3_sitelib}/Flask_APScheduler-%{version}-py*egg-info

%changelog
* Thu Oct 19 2017 David Hannequin <david.hannequin@gmail.com> - 1.7.0-1
- Initial package for Fedora.
